petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCISSetSubdomainDiagonalScaling

Set diagonal scaling for PCIS.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISSetSubdomainDiagonalScaling(PC pc, Vec scaling_factors)

Not collective

### Input Parameters

| pc | - the preconditioning context
| scaling_factors | - scaling factors for the subdomain

### Notes

Intended to use with jumping coefficients cases.

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/is/pcis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages